<?php
/**
 * Contrôleur principal de l'application
 * 
 * @package application
 * @subpackage controllers
 */
class IndexController extends Zend_Controller_Action
{
    /**
     * Affichage de la page d'accueil
     */
    public function indexAction()
    {
        $this->view->setTitrePage("Application exemple du livre Zend Framework");
    }

    /**
     * Page de contact
     * 
     * @todo à compléter
     */
    public function contactAction()
    {
        $this->view->setTitrePage("Formulaire de contact");
    }

    /**
     * Mise à jour de la langue par défaut
     */
    public function languageAction()
    {
        $request = $this->getRequest();
        $params = $request->getParams();

        if (isset($params['lang']) &&
        in_array($params['lang'], array('fr', 'en'))) {
            Zend_Registry::get('session')->lang = $params['lang'];
        }
        $this->_helper->redirectorToOrigin();
    }

    /**
     * Dump de la requête et de la réponse
     */
    public function infoAction()
    {
        if ($this->getInvokeArg('debug') != 1) {
            $this->_helper->redirectorToOrigin();
        } else {
            $this->getResponse()->setHeader('Cache-control', 'no-cache');
            $this->view->setTitrePage("Contenu de request et response");
            $this->view->request = $this->getRequest();
            $this->view->response = $this->getResponse();
        }
    }
}
