<?php

/**
 * @package examples
 */

include 'Zend/Loader.php';
Zend_Loader::registerAutoload();

// Chargement d'un objet currency
$currency = new Zend_Currency();

// Affichage d'un chiffre formatté selon la monnaie courante
// Affiche : 1 000,00 €
echo $currency->toCurrency(1000);

// Affichage d'un chiffre formatté selon la monnaie en_US
// Affiche : 1,000.00 €
echo $currency->toCurrency(1000, array('format' => 'en_US'));

// Affichage d'un chiffre représentant des dollars
// Affiche : $ 1,000.00
$currency = new Zend_Currency('en_US', 'USD');
echo $currency->toCurrency(1000);

// Informations sur la monnaie courante
echo 'Symbole : '   . $currency->getSymbol()    . "\n";
echo 'Nom court : ' . $currency->getShortName() . "\n";
echo 'Nom long : '  . $currency->getName()      . "\n";

// Liste des régions pour lesquelles la monnaie
// est utilisée. 
var_dump($currency->getRegionList());

// Liste des monnaies de la locale (région) courante
var_dump($currency->getCurrencyList());
