<?php

/**
 * @package examples
 */

include 'Zend/Loader.php';
Zend_Loader::registerAutoload();

// Sélection du fuseau horaire par défaut (obligatoire)
date_default_timezone_set('Europe/Paris');

//// Exemples d'utilisation ////

// Création de l'objet Zend_Date
$date = new Zend_Date();

// Affichage par défaut de la date courante
echo $date . "\n";

// Affectation et affichage d'une date
//$date->set('13:00:00',Zend_Date::TIMES);
echo $date->get(Zend_Date::W3C) . "\n";

// Comparaison
echo $date->compare(30, Zend_Date::MINUTE) == -1
   ? "Avant 30 minutes\n"
   : "Après 30 minutes\n";

// Identification, demande d'égalité
if ($date->equals(22, Zend_Date::HOUR)) {
    print "Il est 22 heures.\n";
} else {
    print "Il n'est pas 22 heures.\n";
}

// Affichage de la date courante avec un formattage
// correspondant a une locale déterminée
$date = new Zend_Date(null, null, 'en_US');
echo $date . "\n";

// Même chose avec une date explicite
$date = new Zend_Date('Feb 31, 2007', Zend_Date::DATES, 'en_US');
echo $date . "\n";

// Une autre date pour les exemples suivants
$date2 = new Zend_Date();

// Méthodes de comparaison (hors equals)
var_dump($date->isEarlier($date2));
var_dump($date->isLater($date2));
var_dump($date->isToday());
var_dump($date->isTomorrow());
var_dump($date->isYesterday());
var_dump($date->isLeapYear());
var_dump($date->isDate($date2));

// Méthodes d'output
var_dump($date->toString());
var_dump($date->toArray());
var_dump($date->toValue());
