<?php
/**
 * Jeu d'enregistrements (Rowset) de base de données
 *
 * @package zfbook
 * @subpackage db
 */
class Zfbook_Db_Table_Rowset extends Zend_Db_Table_Rowset_Abstract
{
    /**
     * Proxy rowset -> row
     * 
     * Méthode magique proxiant tout appel non existant sur
     * le Rowset, vers les Rows qu'il contient.
     * 
     * @param string $meth
     * @param array $args
     * @return mixed
     */
    public function __call($meth, $args)
    {
        if (method_exists($this->_rowClass, $meth)) {
            foreach ($this as $row) {
                call_user_func_array(array($row, $meth), $args);
            }
        } else {
            trigger_error("Call to undefined method " . get_class($this) . "::$meth()", E_USER_ERROR);
        }
    }
}
